{ pkgs ? import <nixpkgs> {} }:
pkgs.stdenv.mkDerivation {
  pname = "rcomage";
  version = "1.1.2";

  src = pkgs.fetchFromGitHub {
    owner = "zingaburga";
    repo = "RCOMage";
    rev = "f5f01cf33d341b8dbc155809bc95f6bba5f8390b";
    hash = "sha256-U0cEr26ET7DdEK0ESGM0czpbCQmsL3PeRomArb45Cx4=";
  };

  nativeBuildInputs = with pkgs; [
    autoconf
    automake
    libtool
    pkg-config
  ];

  buildInputs = with pkgs; [
    zlib
    libxml2
  ];

  preConfigure = "./autogen.sh";
  preBuild = ''
    NIX_CFLAGS_COMPILE="$NIX_CFLAGS_COMPILE -fpermissive"
  '';
}
